Removes a field from the list of fields

- « SolrQuery::removeFacetQuery

- SolrQuery::removeFilterQuery »

- PHP Manual
- SolrQuery
- Removes a field from the list of fields

# SolrQuery::removeField

(PECL solr >= 0.9.2)

SolrQuery::removeField — Removes a field from the list of fields

### Description

public SolrQuery::removeField(string `$field`): SolrQuery

Removes a field from the list of fields

### Parameters

`field`

  Name of the field.

### Return Values

Returns the current SolrQuery object, if the return value is used.